# -*- coding: utf-8 -*-
#
# Copyright (c) 2007 by H. Turgut Uyar <uyar@tekir.org>
#
# This file is part of Humphrey Videotheque.
#
# Humphrey Videotheque is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Humphrey Videotheque is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__author__ = """H. Turgut Uyar <uyar@tekir.org>"""
__docformat__ = "restructuredtext"


from Products.CMFCore import utils
from Products.Archetypes.public import process_types, listTypes
from Products.Videotheque.config import PROJECTNAME


def initialize(context):
    import content
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME
        )

    import permissions as perms
    allTypes = zip(content_types, constructors)
    for atype, constructor in allTypes:
        kind = "%s: %s" % (PROJECTNAME, atype.archetype_name)
        utils.ContentInit(
            kind,
            content_types=(atype,),
            permission=getattr(perms, "Add%s" % atype.meta_type),
            extra_constructors=(constructor,),
            fti=ftis
            ).initialize(context)

    from tool import VideothequeTool
    utils.ToolInit(
        "Videotheque Tool",
        tools=(VideothequeTool,),
        icon="tool.gif"
        ).initialize(context)
