# -*- coding: utf-8 -*-
#
# Copyright (c) 2007 by H. Turgut Uyar <uyar@tekir.org>
#
# This file is part of Humphrey Videotheque.
#
# Humphrey Videotheque is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Humphrey Videotheque is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__author__ = """H. Turgut Uyar <uyar@tekir.org>"""
__docformat__ = "restructuredtext"


from Products.CMFCore import permissions
from Products.CMFCore.permissions import setDefaultRoles

# Movie permissions and default roles
ViewMovie = permissions.View

AddMovie = "Videotheque: Add Movie"
setDefaultRoles(AddMovie, ("Manager", "Owner"))

# Videotheque permissions and default roles
ViewVideotheque = permissions.View

AddVideotheque = "Videotheque: Add Videotheque"
setDefaultRoles(AddVideotheque, ("Manager", "Owner"))

ManageVideotheque = AddVideotheque

# Videotheque section permissions and default roles
ViewVideothequeSection = permissions.View

AddVideothequeSection = "Videotheque: Add Videotheque Section"
setDefaultRoles(AddVideothequeSection, ("Manager", "Owner"))

# Video medium permissions and default roles
ViewVideoMedium = permissions.View

AddVideoMedium = "Videotheque: Add Medium"
setDefaultRoles(AddVideoMedium, ("Manager", "Owner"))

ViewVideoDVD = ViewVideoMedium
AddVideoDVD = AddVideoMedium

ViewVideoCD = ViewVideoMedium
AddVideoCD = AddVideoMedium

ViewVideoDataDisc = ViewVideoMedium
AddVideoDataDisc = AddVideoMedium

ViewVideoTape = ViewVideoMedium
AddVideoTape = AddVideoMedium

# Movie copy permissions and default roles
ViewMovieCopy = permissions.View

AddMovieCopy = "Videotheque: Add Movie Copy"
setDefaultRoles(AddMovieCopy, ("Manager", "Owner"))

ViewMovieCopyDVD = ViewMovieCopy
AddMovieCopyDVD = AddMovieCopy

ViewMovieCopyVCD = ViewMovieCopy
AddMovieCopyVCD = AddMovieCopy

ViewMovieCopyFile = ViewMovieCopy
AddMovieCopyFile = AddMovieCopy

ViewMovieCopyTape = ViewMovieCopy
AddMovieCopyTape = AddMovieCopy
